/*================================================================================
	Item Name: Materialize - Material Design Admin Template
	Version: 5.0
	Author: PIXINVENT
	Author URL: https://themeforest.net/user/pixinvent/portfolio
================================================================================
NOTE:
------
PLACE HERE YOUR OWN CSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */
.loader__wrap {
    position: fixed;
    left: 0;
    bottom: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    z-index: 99999;
    background-color: #dcdcdc;
    background-color: #ffffffbf;
}
.loader {
    --sz: 5rem;
    width: calc(var(--sz) * 2);
    height: var(--sz);
    margin: auto;
    display: flex;
    justify-content: space-evenly;
}
.loader__sq {
  --p-sz: calc(var(--sz) / 4);
  --m-offset: calc((var(--p-sz) * -1) * 0.75);
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: space-evenly;
  height: 100%;
  width: 50%;
}
.loader__sq::before, .loader__sq::after {
  width: var(--p-sz);
  height: var(--p-sz);
  content: "";
  position: relative;
  -webkit-transform: translateY(calc((var(--sz) - var(--p-sz)) * -1));
          transform: translateY(calc((var(--sz) - var(--p-sz)) * -1));
  animation: loader-box-bounce 0.5s cubic-bezier(0.3, 0.5, 0.4, 0.95) calc(var(--i) * 0.06s) infinite alternate-reverse;
}
.loader__sq:first-of-type {
  margin-right: var(--m-offset);
}
.loader__sq:first-of-type::before {
  --i: 1;
  border: 3px solid #ff7ab5;
  border-radius: 50%;
}
.loader__sq:first-of-type::after {
  --i: 3;
  background-color: #c643fb;
}
@supports ((-webkit-clip-path: circle()) or (clip-path: circle())) {
  .loader__sq:first-of-type::after {
    -webkit-clip-path: polygon(50% 0%, 100% 100%, 0% 100%);
            clip-path: polygon(50% 0%, 100% 100%, 0% 100%);
  }
}
.loader__sq:nth-of-type(2)::before {
  --i: 2;
  border: 3px solid #ffb650;
}
.loader__sq:nth-of-type(2)::after {
  --i: 4;
  background-color: #2fe2dd;
  border-radius: 50%;
}
@supports ((-webkit-clip-path: circle()) or (clip-path: circle())) {
  .loader__sq:nth-of-type(2)::after {
    border-radius: 0;
    -webkit-clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
            clip-path: polygon(50% 0%, 100% 50%, 50% 100%, 0% 50%);
  }
}

@-webkit-keyframes loader-box-bounce {
  to {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

@keyframes loader-box-bounce {
  to {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

.transaction_row {
  display: block;
  overflow: auto;
}

nav, nav .nav-wrapper i, nav a.sidenav-trigger, nav a.sidenav-trigger i {
    line-height: 58px;
    height: 58px;
}
.apptoast {
  background-color: #303f9f;
  bottom:0;
}
.apptoasterror {
  background-color: #b31b1b;
  bottom:0;
}

#toast-container {
  top: auto !important;
  right: auto !important;
  bottom: 2%;
  left:1%;
}

.btn-very-small i {
    font-size: 14px;
    line-height: 20px;
}

.btn-very-small {
    height: 20px;
    width: 20px;
    font-size: 12px;
    line-height: 20px;
}
.form-group .ng-invalid.ng-touched {
    background: #fff0f0 !important;
}
select {
  height: 2rem;
}
input:not([type]), input[type=text]:not(.browser-default), input[type=password]:not(.browser-default), input[type=email]:not(.browser-default), input[type=url]:not(.browser-default), input[type=time]:not(.browser-default), input[type=date]:not(.browser-default), input[type=datetime]:not(.browser-default), input[type=datetime-local]:not(.browser-default), input[type=tel]:not(.browser-default), input[type=number]:not(.browser-default), input[type=search]:not(.browser-default), textarea.materialize-textarea {
  height: 2rem;
}

.blockrow {
      background: #f3f3f3;
    padding: 5px 0px 20px !important;
    /* margin: 20px !important; */
    border: 13px solid #fff;
}

.blockrow:nth-child(even) {
  background-color: #e9e7ff;
}

.grid-table td {
  padding: 5px 12px;
}
.grid-table th {
  padding: 5px 12px;
}

.sort_a {
    position: relative;
    width: 100%;
    display: block;
}
.sort_span {
    position: absolute;
    bottom: -7px;
}
.pagination_row {
  text-align: right;
}

.tabs-content {
  padding: 10px 20px !important;
}

.card .card-title {
    font-size: 24px;
}

.sort_span i {
    right: 0px;
    position: relative;
    font-size: 15px;
    color: #6e66a0;
    top: -3px;
}

.textdots {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
}

.remove_block {
    position: absolute;
    right: -30px;
    top: -7px;
}
.blockrow {
  position: relative;
}

.pagerows {
  padding: 15px 0;
}

.pagerecords {
  padding: 20px 10px;
}

.pagination .active a {
  color: #fff !important;
}

.input-field {
    position: relative;
    margin-top: 0;
    margin-bottom: 0;
}
.grid-container {
  overflow: auto;
}

.w10 {
  width:10px;
}
.w20 {
  width:20px;
}
.w30 {
  width:30px;
}
.w40 {
  width:40px;
}
.w50 {
  width:50px;
}
.w60 {
  width:60px;
}
.w70 {
  width:70px;
}
.w80 {
  width:80px;
}
.w90 {
  width:90px;
}
.w100 {
  width:100px;
}
.w300 {
  width:300px;
}
.w400 {
  width:400px;
}
.w100p {
  width: 100%;
}
.form-section-title {
    color: #fff;
    font-size: 16px;
    padding: 10px;
    font-weight: bolder;
    background: -webkit-linear-gradient(45deg, #a7a7a7, #9e9e9e);
    background: -moz- oldlinear-gradient(45deg, #a7a7a7, #9e9e9e);
    background: -o-linear-gradient(45deg, #a7a7a7, #9e9e9e);
    background: linear-gradient(45deg, #a7a7a7, #9e9e9e);
    -webkit-box-shadow: 3px 3px 0px 0 rgb(197 197 197 / 50%);
    box-shadow:  3px 3px 0px 0 rgb(197 197 197 / 50%);
}
.grid-table.striped td,.grid-table.striped th
{
  border-right: 1px solid rgba(0, 0, 0, .12);
}
.grid-table.striped {
  border: 1px solid rgba(0, 0, 0, .12);
}
.grid-table.striped tr
{
  border-bottom: 1px solid rgba(0, 0, 0, .12);
}
.sidenav li > a
{
    font-size: 12px;

}
.breadcrumbs-title {
  display:none;
}
#breadcrumbs-wrapper .breadcrumbs-btn {
  top: 0;
}

.btn-floating {
    line-height: 20px;
    position: relative;
    z-index: 1;
    display: inline-block;
    overflow: hidden;
    width: 20px;
    height: 20px;
    padding: 0;
    cursor: pointer;
    -webkit-transition: background-color .3s;
    -moz-transition: background-color .3s;
    -o-transition: background-color .3s;
    transition: background-color .3s;
    vertical-align: middle;
    color: #fff;
    border-radius: 50%;
    background-color: #ff4081;
}
.btn-floating i {
    font-size: 1rem;
    line-height: 20px;
    display: inline-block;
    width: inherit;
    text-align: center;
    color: #fff;
}
td, th {
    padding: 5px 5px;
}

#breadcrumbs-wrapper.breadcrumbs-dark .breadcrumb-item a {
    color: rgb(73 56 160);
}

html, body {
    color: #000;
}
label {
    color: #000000;
}

.m10 {
  margin: 10px;
}
.p10 {
  padding: 10px;
}

[type='checkbox']:not(:checked), [type='checkbox']:checked {
    position: relative;
    pointer-events: all;
}

table span.badge {
    display: block;
    float: none;
    margin-left: auto;
    height: auto;
}

.grid-table tbody {
    display: block;
    height: 500px;
    overflow-y: scroll;
}
.grid-table thead,.grid-table tbody tr {
    display:table;
    width:100%;
    table-layout:fixed;/* even columns width , fix width of table too*/
}
.grid-table table {
    width:100%;
}
.grid-table thead {
  width: calc(100% - 16px);
}

.tabs .tab a {
    font-size: 12px;
    padding: 0 12px;
  }
.tabs {
      background-color: #e8e8e8;
      margin-bottom: 5px;
}
.tabs .tab a:hover, .tabs .tab a.active {
    color: #3f51b5;
    background-color: #d6d6d6;
}

.progress {
    overflow: inherit;
    width: 56px;
    height: auto;
    background-color: #b7b7b7;
    float: left;
    margin: 2px;
    padding: 4px;
    margin-right: 2px;
    box-shadow: 0 0 2px 2px #a0a0a0 inset;
}
.progress-label {
    position: relative;
    z-index: 99;
    font-size: 8px;
    text-align: center;
    color: #fff;
    font-weight: bold;
    letter-spacing: 0.5px;
}
.progress .determinate {
  border-radius: 2px;
}
.progress .determinate {
  background-color: #e3b534;
}
.progress .determinate.bg-success {
  background-color: #3b893f;
}
.icon {
    padding: 2px;
    border: 1px solid #bfbdbd;
    line-height: 2px;
    border-radius: 4px;
}
.icon i {
  font-size: 12px;
}
.primary-text {
  color: #39476a;
}
.custom_label {
  padding: 5px;
  background: #999;
  margin: 0 5px;
}